%global octpkg octcdf

Name:           octave-%{octpkg}
Version:        1.1.5
Release:        2%{?dist}
Summary:        A NetCDF interface for octave
Group:          Applications/Engineering
License:        GPLv2+
URL:            http://octave.sourceforge.net/octcdf/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  octave-devel  
BuildRequires:  netcdf-devel

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave
Obsoletes:      octave-forge <= 20090607


%description
A NetCDF interface for octave.

%prep
%setup -q -n %{octpkg}

%build
%octave_pkg_build

%install
rm -rf %{buildroot}
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%defattr(-,root,root,-)
%{octpkglibdir}
%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/@ncatt/
%{octpkgdir}/@ncdim/
%{octpkgdir}/@ncfile/
%{octpkgdir}/@ncvar/
%{octpkgdir}/packinfo


%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 3 2012 Orion Poplawski <orion@cora.nwra.com> 1.1.5-1
- Update to 1.1.5

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-2
- Rebuilt for c++ ABI breakage

* Thu Feb 23 2012 Orion Poplawski <orion@cora.nwra.com> 1.1.4-1
- Update to 1.1.4

* Thu Feb 9 2012 Orion Poplawski <orion@cora.nwra.com> 1.1.3-1
- Update to 1.1.3

* Mon Jan 16 2012 Orion Poplawski <orion@cora.nwra.com> 1.1.2-4.svn9526
- Rebuild for octave 3.6.0
- Update to latest svn to fix build issues

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 8 2011 Orion Poplawski <orion@cora.nwra.com> 1.1.2-2
- Rebuild for octave 3.4.2

* Tue Apr 05 2011 Orion Poplawski <orion@cora.nwra.com> 1.1.2-1
- initial package for Fedora
